> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get List of Unit Monitors >
Enterprise
Get the list of monitors associated with a specific unit.
Permission required: `manage-livechat-units` ## OpenAPI ````json GET /api/v1/livechat/units/{unitId}/monitors { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/units/{unitId}/monitors": { "parameters": [ { "schema": { "type": "string" }, "name": "unitId", "in": "path", "required": "true", "description": "The unit ID." } ], "get": { "summary": "Get List of Unit Monitors", "operationId": "get-api-v1-livechat-units-unitId-monitors", "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "monitors": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "monitorId": { "type": "string" }, "unitId": { "type": "string" }, "_updatedAt": { "type": "string" }, "username": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "monitors": [ { "_id": "Gv8rxcv4WTEDnnGiT", "monitorId": "MJk4XK5QpsFWJzmSz", "unitId": "TGjc7wN84KxQup9cF", "_updatedAt": "2022-11-21T11:16:01.708Z", "username": "jjay" }, { "_id": "dvSh7G6WW6J5XykQw", "monitorId": "GdyoCfHfd3um5N9vP", "unitId": "TGjc7wN84KxQup9cF", "_updatedAt": "2022-11-21T11:16:01.718Z", "username": "j.coel" } ], "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } }, "description": "
\"Enterprise\"
\n\nGet the list of monitors associated with a specific unit.
\nPermission required: `manage-livechat-units`", "tags": [ "Omnichannel Units" ], "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": "false", "error": "unauthorized" } } } } } } }, "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````